# Manual do Usuário do &kde;

Harri
Porten

    porten@kde.org

15-10-2008
0.01.01
kjs
1

# `kjs`

Interpretador do &kde; compatível com o ECMAScript

## Sintaxe

    kjs  --help -help -h   -einstrução   programa

## Descrição

O `kjs` é um motor de ECMAScript/JavaScript para o KDE.

## Opções da Aplicação

`--help`,`-help`,`-h`

  Mostra uma ajuda sobre a utilização do `kjscmd`.

`-e` `instrução`

  Executa a instrução e sai. Por exemplo:

      kjs -e "print('olá mundo')"

`programa`

  Executa as instruções incluídas no arquivo `programa`.

## Utilização

O `kjs` `arquivo`, como em muitos outros interpretadores, quando é invocado sem parâmetros usa um editor de linhas para inserir instruções, apresentando a linha de comando

    JS
    >

Para sair do editor de linha, digite `quit()` ou pressione `Ctrl+D`.

## Veja Também

kjs(1)

## Problemas

Existem provavelmente muitos erros. Use o bugs.kde.org para comunicá-los.